5.3.0-git
2014-10-24

[#8472] linking pictures to events in kronolith
Summary linking pictures to events in kronolith
Queue Ansel
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester bigmichi1 (at) bigmichi1 (dot) de
Created 2009-08-01 (1910 days ago)
Due
Updated 2010-11-10 (1444 days ago)
Assigned
Resolved
Milestone
Patch No

History
2010-11-10 16:55:56 Michael Rubinsky Comment #8 Reply to this comment
See also Ticket:#9382
2009-08-02 13:25:25 Michael Rubinsky State ⇒ Accepted
 
2009-08-02 01:41:13 Chuck Hagenbuch Comment #7 Reply to this comment
Making photos with timestamps available via the timeobjects api sounds 
great to me, along with the general CMS solution.
2009-08-01 21:05:57 Michael Rubinsky Comment #6 Reply to this comment
would be best to handle this is a more generic CMS-like fashion.
...and in case it wasn't clear, this would refer to the Horde_Content 
approach :)
2009-08-01 21:04:39 Michael Rubinsky Comment #5 Reply to this comment
I think instead of implementing this specifically for each and every 
thing we might want to link to an event (contacts, photos, notes) it 
would be best to handle this is a more generic CMS-like fashion.



OTOH, having a photos still be exposed via the timeObjects API could 
still be useful. I'm thinking of things like putting small calendar 
widgets on a photo blog etc...
2009-08-01 20:40:58 Jan Schneider Comment #3 Reply to this comment
This is actually like request #2009, though not using vfs, but 
obrowser and Horde_Relationship instead.
2009-08-01 20:35:30 Jan Schneider Version ⇒ Git master
 
2009-08-01 20:19:41 Michael Rubinsky Version ⇒ HEAD
 
2009-08-01 20:18:53 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
This is something I've been thinking about actually.



The two ideas I've had on this are:



1) Expose image data via the listTimeObjects API. This can obviously 
get out of hand very quickly though. The alternative here is to only 
expose the galleries via the API - and use the original creation date 
of the gallery so that the gallery won't float around the calendar 
based on any edits/image additions. The advantage of this method would 
be you could see *all* your galleries via the API. The drawback to 
this method is obviously you wouldn't see the images on the date you 
took them, but rather on the date you added the gallery to Ansel. This 
also wouldn't actually associate any data with a specific event, only 
a specific date.



2) Add functionality to Kronolith that would allow a user to 
explicitly connect a single gallery to a single event. Maybe show a 
small icon with the event's title on the calendar that links to the 
ansel gallery - or maybe even just shows a mini view of the gallery in 
a lightbox directly in Kronolith.



I actually see both of these things as having uses...any other devs 
have thoughts on this?
2009-08-01 18:10:59 bigmichi1 (at) bigmichi1 (dot) de Comment #1
State ⇒ New
Patch ⇒ No
Milestone ⇒
Queue ⇒ Ansel
Summary ⇒ linking pictures to events in kronolith
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
it would be also really nice to link some pictures to e kronolith 
entry. lets say you have a entry in kronolith that says on monday 
there is a concert. so it would now be really nice to add some 
pictures to that event and also have a gallery with all pictures in. 
so that when someone other opens the entry in kronolith he or she can 
navigate to anselto see the pictures, and also backwards. like 
navigatong through gallerys it would be nice to have a link to the 
kronolith that shows who, when and where was the pictures taken.